digiKam Developer Documentation: Digikam::RatingComboBoxWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::RatingComboBoxWidget Class Reference
Inheritance diagram for Digikam::RatingComboBoxWidget:

## Signals
void | ratingValueChanged (int value)
Signals inherited from Digikam::RatingWidget
void | signalRatingChanged (int)
void | signalRatingModified (int)
| Not managed by tracking properties.

## Public Member Functions
| RatingComboBoxWidget (QWidget *const parent=nullptr)
| Internal sub-classing the classic RatingWidget, this provides support for the Null and NoRating states.
RatingComboBox::RatingValue | ratingValue () const
void | setRatingValue (RatingComboBox::RatingValue value)
Public Member Functions inherited from Digikam::RatingWidget
| RatingWidget (QWidget *const parent)
bool | hasFading () const
bool | hasTracking () const
int | maximumVisibleWidth () const
int | rating () const
void | setFading (bool fading)
void | setRating (int val)
void | setTracking (bool tracking)
void | setVisible (bool visible) override
void | setVisibleImmediately ()
void | startFading ()
void | stopFading ()
Public Member Functions inherited from Digikam::RatingStarDrawer
QRect | drawStarPolygons (QPainter *p, int numberOfStars) const

## Protected Slots
void | slotRatingChanged (int)
Protected Slots inherited from Digikam::RatingWidget
void | setFadingValue (int value)

## Protected Member Functions
void | paintEvent (QPaintEvent *) override
Protected Member Functions inherited from Digikam::RatingWidget
void | applyFading (QPixmap &pix)
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override
void | regeneratePixmaps ()
int | regPixmapWidth () const
void | setupTimeLine ()
QPixmap | starPixmap () const
QPixmap | starPixmapDisabled () const
QPixmap | starPixmapFilled () const

## Protected Attributes
RatingComboBox::RatingValue | m_value = RatingComboBox::Null
Protected Attributes inherited from Digikam::RatingStarDrawer
QPolygon | m_starPolygon = RatingWidget::starPolygon()
QSize | m_starPolygonSize = QSize(15, 15)

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::RatingWidget
static QIcon | buildIcon (int rate, int size)
static QPolygon | starPolygon ()
| Pre-computed star polygon for a 15x15 pixmap.